org.apache.cassandra.db.marshal

## Class CompositeType.Builder

- java.lang.Object
- - org.apache.cassandra.db.marshal.CompositeType.Builder

- Enclosing class:
    CompositeType

      public static class CompositeType.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(CompositeType composite)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompositeType.Builder` | `add(java.nio.ByteBuffer bb)`
    `CompositeType.Builder` | `add(ColumnIdentifier name)`
    `java.nio.ByteBuffer` | `build()`
    `java.nio.ByteBuffer` | `buildAsEndOfRange()`
    `java.nio.ByteBuffer` | `buildForRelation(Operator op)`
    `int` | `componentCount()`
    `CompositeType.Builder` | `copy()`
    `java.nio.ByteBuffer` | `get(int i)`
    `java.nio.ByteBuffer` | `getComponent(int i)`
    `int` | `remainingCount()`
    `static CompositeType.Builder` | `staticBuilder(CompositeType composite)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder(CompositeType composite)

  - ### Method Detail

    - #### staticBuilder

          public static CompositeType.Builder staticBuilder(CompositeType composite)

    - #### add

          public CompositeType.Builder add(java.nio.ByteBuffer bb)

    - #### add

          public CompositeType.Builder add(ColumnIdentifier name)

    - #### componentCount

          public int componentCount()

    - #### remainingCount

          public int remainingCount()

    - #### get

          public java.nio.ByteBuffer get(int i)

    - #### build

          public java.nio.ByteBuffer build()

    - #### buildAsEndOfRange

          public java.nio.ByteBuffer buildAsEndOfRange()

    - #### buildForRelation

          public java.nio.ByteBuffer buildForRelation(Operator op)

    - #### copy

          public CompositeType.Builder copy()

    - #### getComponent

          public java.nio.ByteBuffer getComponent(int i)

Copyright © 2018 The Apache Software Foundation